%undefine __libtoolize
%global momorel 7

Name:		gnopernicus
Summary:	gnopernicus
Version:	1.1.2
Release: %{momorel}m%{?dist}
License: 	LGPLv2+
Group:		User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.1/%{name}-%{version}.tar.bz2 
NoSource: 0
Source1: ftp://ftp.gnome.org/pub/GNOME/sources/gnopernicus/gnopernicus.png
Patch0: gnopernicus-0.3.3-cflags.patch
URL: 		http://www.baum.ro/gnopernicus.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: GConf-devel >= 2.14.0-3m
BuildPrereq: at-spi-devel >= 1.7.11
BuildPrereq: glib-devel >= 2.12.3
BuildPrereq: gtk+-devel >= 2.10.3
BuildPrereq: libgnome-devel >= 2.16.0
BuildPrereq: libgnomeui-devel >= 2.16.0
BuildPrereq: libglade-devel >= 2.6.0
BuildPrereq: linc-devel  >= 1.1.1
BuildPrereq: libxml2-devel >= 2.6.26
BuildPrereq: gnome-mag-devel >= 0.13.1
BuildPrereq: gnome-speech-devel >= 0.4.4
BuildPrereq: desktop-file-utils >= 0.10
prereq: scrollkeeper
Requires: GConf
Requires: at-spi
Requires: glib
Requires: gtk+
Requires: libgnome
Requires: libgnomeui
Requires: libglade
Requires: linc
Requires: libxml2
Requires: gnome-mag
Requires: gnome-speech
Requires: libgail-gnome

%description
The "gnopernicus" project enables users with limited vision, or no
vision, to use the Gnome 2 desktop and Gnome/GTK+-2 applications
effectively. By providing automated focus tracking and fullscreen
magnification, Gnopernicus will aid low-vision Gnome users, and its
screen reader features will allow low-vision and blind users access to
standard GTK+2 and Java-based GUI applications via speech and Braille
output. By leveraging Gnome 2's built-in accessibility framework,
Gnopernicus makes interacting with applications more efficient for
these users, and enables use of the Gnome 2 desktop for some users who
otherwise would have no access to Gnome.

%package devel
Summary: gnopernicus-devel
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: GConf-devel
Requires: at-spi-devel
Requires: glib-devel
Requires: gtk+-devel
Requires: libgnome-devel
Requires: libgnomeui-devel
Requires: libglade-devel
Requires: linc-devel
Requires: libxml2-devel
Requires: gnome-mag-devel
Requires: gnome-speech-devel
                                                                                
%description devel
gnopernicus-devel

%prep
%setup -q
%patch0 -p1

%build
%configure \
    --enable-gtk-doc \
    --disable-schemas-install \
    --enable-ipv6 \
    --enable-paranoia \
    --enable-magnifier \
    --disable-brltty
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

install -d %{buildroot}/%{_datadir}/pixmaps
install %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/gnopernicus.desktop

# remove
rm -rf --preserve-root %{buildroot}/var/scrollkeeper

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in brlmonitor.schemas \
	gnopernicus.schemas \
	remote.schemas ; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/brlmonitor.schemas
%{_sysconfdir}/gconf/schemas/gnopernicus.schemas
%{_sysconfdir}/gconf/schemas/remote.schemas
%{_sysconfdir}/gnopernicus-1.0
%{_bindir}/gnopernicus
%{_bindir}/srcore
%{_bindir}/gnopernicus-mag-config
%{_libexecdir}/brlmonitor
%dir %{_libdir}/gnopernicus-1.0
%{_libdir}/gnopernicus-1.0/*.so.*
%doc %{_datadir}/omf/gnopernicus
%doc %{_datadir}/gnome/help/*
%{_datadir}/gnopernicus
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/gnopernicus.desktop
%{_datadir}/pixmaps/gnopernicus.png
%{_datadir}/icons/hicolor/48x48/apps/gnopernicus.png

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/gnopernicus-1.0.pc
%{_libdir}/%{name}-1.0/lib*.so
%{_includedir}/gnopernicus-1.0

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.2-7m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.2-6m)
- revise for rpm46 (s/Patch/Patch0/ and s/%%patch/%%patch0/)
- License: LGPLv2+

* Wed Jul 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.2-5m)
- add configure option --disable-brltty

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.2-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.2-3m)
- %%NoSource -> NoSource

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.2-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.2-1m)
- update to 1.1.2

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-4m)
- rebuild against gnome-mag
- delete libtool library

* Tue Jul 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-3m)
- add Requires: libgail-gnome

* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-2m)
- delete %%preun script

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-1m)
- update to 1.1.0

* Wed May 24 2006 Nishio Futoshi <futoshi@momonta-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonta-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonta-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Sat Feb 18 2006 Nishio Futoshi <futshi@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.8-1m)
- update to 0.11.8

* Tue Nov 22 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.7-1m)
- version up
- GNOME 2.12.1 Desktop

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.18-1m)
- version 0.9.18
- GNOME 2.8 Desktop

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-2m)
- add Utility to Categories of desktop file for KDE
- BuildPrereq: desktop-file-utils

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.8.4-1m)
- version 0.8.4

* Mon May 23 2004 Toru Hoshina <t@momonga-linux.org>
- (0.8.3-2m)
- prereq scrollkeeper.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.3-1m)
- version 0.8.3
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.1-2m)
- revised spec for enabling rpm 4.2.

* Thu Oct 09 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.7.1-1m)
- version 0.7.1

* Tue Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.7.0-2m)
- add missing icon

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.7.0-1m)
- version 0.7.0

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.6-1m)
- version 0.3.6

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.5-1m)
- version 0.3.5

* Wed Jul 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.4-1m)
- version 0.3.4

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.3-1m)
- version 0.3.3

* Wed May 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.2-1m)
- version 0.3.2

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.1-1m)
- version 0.3.1
